### Constructor

# Ide TerminalLauncher new_for_debug

#### Declaration

    IdeTerminalLauncher*
    ide_terminal_launcher_new_for_debug (
      void
    )

#### Description

Create a new `IdeTerminalLauncher` that will spawn a terminal on the host.

#### Return value

Returns: | `IdeTerminalLauncher`
| A newly created `IdeTerminalLauncher`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.